Skip to main content
`Ctrl`+`K`

# PetscCeilInt

Returns the ceiling of the quotation of two positive integers

## Synopsis

    static inline PetscInt PetscCeilInt(PetscInt x, PetscInt y)

Not Collective

## Input Parameters

- x - the numerator

- y - the denominator

Example:

      PetscInt n = PetscCeilInt(10, 3); // n has the value of 4

## See Also

`PetscCeilInt64()`, `PetscMax()`, `PetscMin()`, `PetscAbsInt()`, `PetscAbsReal()`, `PetscApproximateLTE()`

## Level

advanced

## Location

include/petscmath.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages